<%@ page pageEncoding="UTF-8"%>

<%
    /*request.getContextPath():返回站点的根目录*/
    String path = request.getContextPath();
    /*获取请求url的goto参数*/
    String url =request.getParameter("goto");
    /*带goto参数的login.jsp登录页面url路径*/
    String location = request.getRequestURL() +"?goto="+url;
%>

<%
    /*JSP禁用缓存的方式
    使用服务器端控制AJAX页面缓存*/
    response.setHeader("Pragma","No-cache");
    response.setHeader("Cache-Control","no-cache");
    response.setDateHeader("Expires", 0);
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <title>系统登录界面</title>
    <script type="text/javascript" src="<%=path%>/js/jquery/jquery-1.7.2.min.js"></script>
    <style type="text/css">
        * {
            padding: 0;
            margin: 0;
            font-family: "微软雅黑", serif;
        }
        .gcs-login {
            position: absolute;
            left: 35%;
            top: 20%;
            box-sizing: border-box;
            width: 30%;
            height: 56%;
            background-color: #E6E6E6;
            z-index: 100;
        }
        .gcs-login .gcs-login-panel {
            height: 360px;
            position: absolute;
            margin: auto;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
        }
        .gcs-login .login-title {
            text-align: center;
            color: #62a8ea;
        }
        .gcs-login .login-title h2 {
            letter-spacing: 10px;
        }
        .gcs-login-container {
            width: 100%;
            box-sizing: border-box;
            margin: 30px 0 ;
            text-align: center;
        }
        .gcs-login .input {
            border: 1px solid white;
            display: inline-block;
            box-sizing: border-box;
            width: 70%;
            height: 46px;
            padding-left: 10px;
            margin: 0 auto;
            font-size: 14px;
            outline: none;
            color: #76838f;
        }
        .gcs-login .gcs-login-validation {
            width: 70%;
            margin: 0 auto;
            position: relative;
        }
        .gcs-login .validation-input {
            position: absolute;
            width: 50%;
            left: 0;
        }
        .gcs-login img.validation-img {
            position: absolute;
            cursor: pointer;
            width: 50%;
            height: 45px;
            right: 0;
        }
        .gcs-login .input:focus {
            outline: none;
            border: 1px solid #62a8ea;
        }
        .gcs-login .btn-login {
            background-color: #62a8ea;
            border: none;
            width: 35%;
            height: 45px;
            line-height: 45px;
            color: white;
            cursor: pointer;
            font-size: 16px;
            font-weight: bold;
        }
        .gcs-login .btn-login:hover {
            opacity: 0.8;
        }
    </style>

    <script type="text/javascript">
        $(function(){
            // bind() 方法会创建一个新函数
            $("#btn_reload").bind("click",function(){
                btn_reload();
            });
            $("#btn_clear").bind("click",function(){
                btn_clear();
            });
            $("#btn_ok").bind("click",function(){
                btn_ok();
            });
        });

        // 判断文本框全部不为空，跳转到AuthServlet进行认证处理
        function btn_ok(){
            var result =validateform();
            if(!result){
                alert("请将信息填写完整");
                return ;
            }
            $("#form").attr("action","servlet/AuthServlet").submit();
        }
        // 用于改变图片地址以便刷新
        var num=0;
        function add(){
            return num += 1;
        }
        // 刷新图片
        function btn_reload(){
            $("#image").attr("src", '<%=path%>/image.jsp?'+add());
        }
        // 重置
        function btn_clear(){
            $(":input","#form").not(":button,:hidden").each(function(){
                $(this).val("");
            });
        }
        // 判断三个填写的文本框是否有空
        function validateform(){
            var result =true;
            $(":input").not("input[type=button]").each(function(){
                if($(this).val() ===""){
                    console.log($(this).val());
                    result=false;
                }
            });
            return result ;
        }
    </script>
</head>
<body>
<form id="form" action="#" method="post">
    <div class='gcs-login'>
        <div class="gcs-login-panel">
            <div class="login-title">
                <h2>用户登陆</h2>
            </div>
            <div class="gcs-login-container">
                <label>
                    <input type="text" class="input" name="username" placeholder="请输入用户名" />
                </label>
            </div>
            <div class="gcs-login-container">
                <label>
                    <input type="password" class="input" name="password" placeholder="请输入密码" />
                </label>
            </div>
            <div class="gcs-login-container">
                <div class="gcs-login-validation">
                    <label>
                        <input type="text" class="input validation-input" name="checkcode" placeholder="请输入验证码">
                    </label>
                    <a href="javascript:void(0);" id="btn_reload">
                        <img class="validation-img" src="<%=path%>/image.jsp" id="image" title="看不清？点击换一张" alt="图片没了！！"/>
                    </a>
                </div>
            </div>
            <br/>
            <br/>
            <div class="gcs-login-container">
                <input type="button" value="登录" class="btn-login" id="btn_ok" />
                <input type="button" value="重置" class="btn-login" id="btn_clear" />
            </div>
        </div>
    </div>
    <label>
        <%--随post提交url，location到AuthServlet中去--%>
        <input name="goto" type="hidden" value=<%=url%>/>
        <input name="location" type="hidden" value=<%=location%>/>
    </label>
</form>
</body>
</html>